## tint2 0.11

=== src/tint2conf/CMakeLists.txt ===
project(tint2conf)
cmake_minimum_required(VERSION 2.6)

include( FindPkgConfig )
pkg_check_modules( X11_T2C REQUIRED x11 xrender )
pkg_check_modules( GLIB2 REQUIRED glib-2.0 )
pkg_check_modules( GOBJECT2 REQUIRED gobject-2.0 )
pkg_check_modules( IMLIB2 REQUIRED imlib2 )
pkg_check_modules( GTHREAD2 REQUIRED gthread-2.0 )
pkg_check_modules( GTK2 REQUIRED gtk+-x11-2.0 )

include_directories( ../util
                     ${X11_T2C_INCLUDE_DIRS}
                     ${GLIB2_INCLUDE_DIRS}
                     ${GOBJECT2_INCLUDE_DIRS}
                     ${IMLIB2_INCLUDE_DIRS}
                     ${GTHREAD2_INCLUDE_DIRS}
                     ${GTK2_INCLUDE_DIRS} )

set(SOURCES ../util/common.c
            main.c
            properties.c
            theme_view.c )
link_directories( ${X11_T2C_LIBRARY_DIRS}
                  ${GLIB2_LIBRARY_DIRS}
                  ${GOBJECT2_LIBRARY_DIRS}
                  ${IMLIB2_LIBRARY_DIRS}
                  ${GTHREAD2_LIBRARY_DIRS}
                  ${GTK2_LIBRARY_DIRS} )
add_executable( tint2conf ${SOURCES} )
target_link_libraries( tint2conf ${X11_T2C_LIBRARIES}
                                 ${GLIB2_LIBRARIES}
                                 ${GOBJECT2_LIBRARIES}
                                 ${IMLIB2_LIBRARIES}
                                 ${GTHREAD2_LIBRARIES}
                                 ${GTK2_LIBRARIES} )

add_definitions( -DINSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\" )
set_target_properties( tint2conf PROPERTIES COMPILE_FLAGS "-Wall -pthread" )
set_target_properties( tint2conf PROPERTIES LINK_FLAGS "-pthread" )

install( TARGETS tint2conf DESTINATION bin )
install( PROGRAMS tintwizard.py DESTINATION bin )
install( FILES tint2conf.png tint2conf.svg DESTINATION share/pixmaps )
install( FILES tint2conf.desktop DESTINATION share/applications )

## tint2 0.9

=== debian/changelog ===
tint2 (0.9-2) unstable; urgency=low

  * debian/patches/update-systray-clock-every-second.diff: Cherry-pick
    patch from upstream to keep systray clock in sync with system time.
    (Closes: #572227)

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 03 Mar 2010 23:40:02 -0800

tint2 (0.9-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: Upstream uses both _beta and -rc1 for version strings,
    update uversionmangle to handle both.
  * debian/control:
    - Bump to Version 3.8.4, no changes.
    - Add libxdamage-dev and libxcomposite-dev to Build-Depends.

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 24 Feb 2010 10:21:01 -0800

tint2 (0.8-1) unstable; urgency=low

  * New Upstream Version
  * debian/examples: Upstream has renamed the sample tint2rc files.
  * debian/source: Switch to dpkg-source 3.0 (quilt) format.
  * debian/copyright: Update with new upstream authors.

 -- Daniel Moerner <dmoerner@gmail.com>  Tue, 12 Jan 2010 11:48:49 -0800

tint2 (0.7.1-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: add uversionmangle line to ignore upstream's beta
    releases.
  * debian/control: Update to Debian Policy 3.8.3, fix description typo.

 -- Daniel Moerner <dmoerner@gmail.com>  Sun, 06 Sep 2009 18:57:06 -0700

tint2 (0.7-1) unstable; urgency=low

  * New Upstream Version. (LP: #319436)
    - Update watch file to point to tint2 instead of tint.
    - Remove debian/tint.1: integrated upstream (Closes: #532307)
    - Remove dpatch and patches/01-remove-strip-from-makefile.dpatch:
      integrated upstream.
    - Refresh debian/examples and remove debian/docs
    - tint2 is now licensed under the GPL-2.
  * Added Vcs-Git and Vcs-Browser fields to debian/control.
  * Updated to Standards Version 3.8.2
  * Switched to tiny dh 7 rules file with overrides.

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 01 Jul 2009 02:01:27 -0700

tint2 (0.6.0-1) unstable; urgency=low

  * Initial release (closes: #491596)
  * Wrote manpage from upstream docs
  * 01-remove-strip-from-makefile.dpatch: dh_strip will strip the binary instead

 -- Daniel Moerner <dmoerner@gmail.com>  Sat, 06 Sep 2008 07:54:24 -0700

=== debian/control ===
Source: tint2
Section: x11
Priority: optional
Maintainer: Daniel Moerner <dmoerner@gmail.com>
Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, libpango1.0-dev, libglib2.0-dev, libimlib2-dev, libxinerama-dev, libxrandr-dev, libxcomposite-dev, libxdamage-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
Homepage: http://code.google.com/p/tint2/

Package: tint2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight taskbar
 Tint is a simple panel/taskbar intentionally made for openbox3, but should
 also work with other window managers. The taskbar includes transparency and 
 color settings for the font, icons, border, and background. It also supports
 multihead setups, customized mouse actions, and a built-in clock. Tint was
 originally based on ttm code. Since then, support has also been added
 for a battery monitor and system tray.
 .
 The goal is to keep a clean and unintrusive look with lightweight code and
 compliance with freedesktop specification.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Upstream ships an empty NEWS file; remove it to quiet lintian.
override_dh_auto_install:
	dh_auto_install
	rm -f debian/tint2/usr/share/doc/tint2/NEWS

=== debian/watch ===
version=3

opts="uversionmangle=s/_/~/; s/-/~/" \
http://code.google.com/p/tint2/downloads/list \
	http://tint2.googlecode.com/files/tint2-(.*)\.tar\.gz

## tint2 0.9-1mint1

=== debian/changelog ===
tint2 (0.9-1mint1) isadora-fluxbox; urgency=low

  * Initial release

 -- Kendall Weaver <kendalltweaver@gmail.com>  Fri, 12 Mar 2010 08:44:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Daniel Moerner <dmoerner@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, libpango1.0-dev, libglib2.0-dev, libimlib2-dev, libxinerama-dev, libxrandr-dev, libxcomposite-dev, libxdamage-dev
-Standards-Version: 3.8.4
-Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
+Maintainer: Kendall Weaver <kendalltweaver@gmail.com>
+Build-Depends: debhelper (>= 7), autotools-dev
+Standards-Version: 3.8.1
 Homepage: http://code.google.com/p/tint2/
 
 Package: tint2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/tint2.sgml > tint2.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/tint2.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tint2 install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tint2 0.11

=== debian/changelog ===
tint2 (0.11-2) unstable; urgency=low

  * Recommend python-gtk2 instead of python-gtk 

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Dec 2010 23:28:26 +0100

tint2 (0.11-1) unstable; urgency=low

  * Make me the maintainer of this package (Closes: #598688)
  * New Upstream Version (Closes: #591008)
  * drop patch (applied upstream)
  * Update watch file
    + use googlecode.debian.net
    + new files are release as tar.bz2
  * Update Debian Standards Version to 3.9.1
  * Use DEP5 for debian/copyright
  * Added build dependencies: cmake, libgtk2.0-dev
  * Add patch renaming tintwizard.py to tintwizard
  * Add patch adding power_now support
  * Recommend python (needed by tintwizard)

 -- Sebastian Reichel <sre@debian.org>  Fri, 26 Nov 2010 22:01:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,29 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Kendall Weaver <kendalltweaver@gmail.com>
-Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.8.1
+Maintainer: Sebastian Reichel <sre@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 7.0.50),
+               libcairo2-dev,
+               libglib2.0-dev,
+               libgtk2.0-dev,
+               libimlib2-dev,
+               libpango1.0-dev,
+               libxcomposite-dev,
+               libxdamage-dev,
+               libxinerama-dev,
+               libxrandr-dev
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
 Homepage: http://code.google.com/p/tint2/
 
 Package: tint2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Recommends: python,
+            python-gtk2
 Description: lightweight taskbar
  Tint is a simple panel/taskbar intentionally made for openbox3, but should
  also work with other window managers. The taskbar includes transparency and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# rename tintwizard.py to tintwizard
override_dh_auto_install:
	dh_auto_install
	mv debian/tint2/usr/bin/tintwizard.py debian/tint2/usr/bin/tintwizard

## tint2 0.11%2bsvn20111022

=== debian/changelog ===
tint2 (0.11+svn20111022-2build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:28:08 -0700

tint2 (0.11+svn20111022-2) unstable; urgency=low

  * Add inform-about-unsupported-saving.patch (Closes: #646055)

 -- Sebastian Reichel <sre@debian.org>  Sun, 23 Oct 2011 10:57:35 +0200

tint2 (0.11+svn20111022-1) unstable; urgency=low

  * New upstream checkout
   - Fix double free of launcher configuration (Closes: #645208)

 -- Sebastian Reichel <sre@debian.org>  Sat, 22 Oct 2011 08:17:18 +0200

tint2 (0.11+svn20111011-2) unstable; urgency=low

  * build debug symbols 

 -- Sebastian Reichel <sre@debian.org>  Fri, 21 Oct 2011 16:30:50 +0200

tint2 (0.11+svn20111011-1) unstable; urgency=low

  * New upstream snapshot
   - misc. fixes
   - added alpha, saturation, brightness control for launcher icons
   - launcher tooltips configurable, default off

 -- Sebastian Reichel <sre@debian.org>  Wed, 19 Oct 2011 19:49:54 +0200

tint2 (0.11+svn20110307-1) unstable; urgency=low

  * New upstream snapshot (Closes: #624792)
  * Remove power_now support patch (applied upstream)
  * Do not install tintwizard (it does not support config of SVN snapshot)
  * Also build a tint2-dbg package

 -- Sebastian Reichel <sre@debian.org>  Sun, 01 May 2011 19:35:32 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_strip:
	dh_strip --dbg-package=tint2-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=tint2

## tint2 0.11+svn20110307

=== src/tint2conf/CMakeLists.txt ===
--- 
+++ 
@@ -35,11 +35,16 @@
                                  ${GTHREAD2_LIBRARIES}
                                  ${GTK2_LIBRARIES} )
 
+if ( NOT DATADIR )
+  set( DATADIR share )
+endif( NOT DATADIR )
+
 add_definitions( -DINSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\" )
 set_target_properties( tint2conf PROPERTIES COMPILE_FLAGS "-Wall -pthread" )
 set_target_properties( tint2conf PROPERTIES LINK_FLAGS "-pthread" )
 
 install( TARGETS tint2conf DESTINATION bin )
 install( PROGRAMS tintwizard.py DESTINATION bin )
-install( FILES tint2conf.png tint2conf.svg DESTINATION share/pixmaps )
-install( FILES tint2conf.desktop DESTINATION share/applications )
+install( FILES taskbar.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
+install( FILES tint2conf.desktop DESTINATION ${DATADIR}/applications )
+install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
 Homepage: http://code.google.com/p/tint2/
@@ -21,12 +21,10 @@
 Package: tint2
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-Recommends: python,
-            python-gtk2
+         ${misc:Depends}
 Description: lightweight taskbar
  Tint is a simple panel/taskbar intentionally made for openbox3, but should
- also work with other window managers. The taskbar includes transparency and 
+ also work with other window managers. The taskbar includes transparency and
  color settings for the font, icons, border, and background. It also supports
  multihead setups, customized mouse actions, and a built-in clock. Tint was
  originally based on ttm code. Since then, support has also been added
@@ -34,3 +32,21 @@
  .
  The goal is to keep a clean and unintrusive look with lightweight code and
  compliance with freedesktop specification.
+
+Package: tint2-dbg
+Section: debug
+Architecture: any
+Depends: ${misc:Depends},
+         tint2
+Description: lightweight taskbar (debug symbols)
+ Tint is a simple panel/taskbar intentionally made for openbox3, but should
+ also work with other window managers. The taskbar includes transparency and
+ color settings for the font, icons, border, and background. It also supports
+ multihead setups, customized mouse actions, and a built-in clock. Tint was
+ originally based on ttm code. Since then, support has also been added
+ for a battery monitor and system tray.
+ .
+ The goal is to keep a clean and unintrusive look with lightweight code and
+ compliance with freedesktop specification.
+ .
+ This package contains the debug symbols for tint2.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbg-package=tint2-dbg
override_dh_installdocs:
	dh_installdocs --link-doc=tint2

## tint2 0.11+svn20111022

=== CMakeLists.txt ===
project( tint2 )
cmake_minimum_required( VERSION 2.6 )

include( FindPkgConfig )
include( CheckLibraryExists )
pkg_check_modules( X11 REQUIRED x11 xcomposite xdamage xinerama xrender xrandr>=1.3 )
pkg_check_modules( PANGOCAIRO REQUIRED pangocairo )
pkg_check_modules( PANGO REQUIRED pango )
pkg_check_modules( CAIRO REQUIRED cairo )
pkg_check_modules( GLIB2 REQUIRED glib-2.0 )
pkg_check_modules( GOBJECT2 REQUIRED gobject-2.0 )
pkg_check_modules( IMLIB2 REQUIRED imlib2>=1.4.2 )
find_library( RT_LIBRARY rt )

if( NOT X11_FOUND OR NOT PANGOCAIRO_FOUND OR NOT PANGO_FOUND OR NOT CAIRO_FOUND OR NOT GLIB2_FOUND OR NOT GOBJECT2_FOUND OR NOT IMLIB2_FOUND )
  message( FATAL_ERROR "Not all dependencies fulfilled. See http://code.google.com/p/tint2/wiki/Install" )
endif( NOT X11_FOUND OR NOT PANGOCAIRO_FOUND OR NOT PANGO_FOUND OR NOT CAIRO_FOUND OR NOT GLIB2_FOUND OR NOT GOBJECT2_FOUND OR NOT IMLIB2_FOUND )

string( REPLACE ";" " " FLAGS_REPLACED "${IMLIB2_LDFLAGS}" )
set( CMAKE_REQUIRED_FLAGS "${FLAGS_REPLACED}" )
check_library_exists( "${IMLIB2_LIBRARIES}" "imlib_context_set_display" "${IMLIB2_LIBRARY_DIRS}" IMLIB_BUILD_WITH_X )
if( NOT IMLIB_BUILD_WITH_X )
  message( FATAL_ERROR "Imlib is not build with x support" )
endif( NOT IMLIB_BUILD_WITH_X )

include_directories( ${PROJECT_BINARY_DIR}
                     src
                     src/battery
                     src/clock
                     src/systray
                     src/taskbar
                     src/launcher
                     src/tooltip
                     src/util
                     ${X11_INCLUDE_DIRS}
                     ${PANGOCAIRO_INCLUDE_DIRS}
                     ${PANGO_INCLUDE_DIRS}
                     ${CAIRO_INCLUDE_DIRS}
                     ${GLIB2_INCLUDE_DIRS}
                     ${GOBJECT2_INCLUDE_DIRS}
                     ${IMLIB2_INCLUDE_DIRS} )

set( SOURCES src/config.c
             src/panel.c
             src/server.c
             src/tint.c
             src/clock/clock.c
             src/systray/systraybar.c
             src/launcher/launcher.c
             src/launcher/xsettings-client.c
             src/launcher/xsettings-common.c
             src/taskbar/task.c
             src/taskbar/taskbar.c
             src/taskbar/taskbarname.c
             src/tooltip/tooltip.c
             src/util/area.c
             src/util/common.c
             src/util/timer.c
             src/util/window.c )

option( ENABLE_BATTERY "Enable battery status plugin" ON )
option( ENABLE_TINT2CONF "Enable tint2conf build, a GTK+2 theme switcher for tint2" ON )
option( ENABLE_EXAMPLES "Install additional tin2rc examples" OFF )

if( ENABLE_BATTERY )
  set( SOURCES ${SOURCES} src/battery/battery.c )
  add_definitions( -DENABLE_BATTERY )
endif( ENABLE_BATTERY )

set( MANDIR share/man CACHE PATH "Directory for man pages" )
set( DATADIR share CACHE PATH "Directory for shared data" )
set( SYSCONFDIR /etc CACHE PATH "Directory for configuration files" )
set( DOCDIR share/doc/tint2 CACHE PATH "Directory for documentation files" )

if( ENABLE_TINT2CONF )
  add_definitions( -DHAVE_VERSION_H )
  add_subdirectory( src/tint2conf )
  add_dependencies( tint2conf version )
endif( ENABLE_TINT2CONF )

add_custom_target( version ALL "${PROJECT_SOURCE_DIR}/get_svnrev.sh" "\"${PROJECT_SOURCE_DIR}\"" )

link_directories( ${X11_LIBRARY_DIRS}
                  ${PANGOCAIRO_LIBRARY_DIRS}
                  ${PANGO_LIBRARY_DIRS}
                  ${CAIRO_LIBRARY_DIRS}
                  ${GLIB2_LIBRARY_DIRS}
                  ${GOBJECT2_LIBRARY_DIRS}
                  ${IMLIB2_LIBRARY_DIRS} )
add_executable(tint2 ${SOURCES})
target_link_libraries( tint2 ${X11_LIBRARIES}
                             ${PANGOCAIRO_LIBRARIES}
                             ${PANGO_LIBRARIES}
                             ${CAIRO_LIBRARIES}
                             ${GLIB2_LIBRARIES}
                             ${GOBJECT2_LIBRARIES}
                             ${IMLIB2_LIBRARIES} )
if( RT_LIBRARY )
  target_link_libraries( tint2 ${RT_LIBRARY} )
endif( RT_LIBRARY )

add_dependencies( tint2 version )
set_target_properties( tint2 PROPERTIES COMPILE_FLAGS "-Wall -pthread" )
set_target_properties(tint2 PROPERTIES LINK_FLAGS "-pthread" )

install( TARGETS tint2 DESTINATION bin )
install( FILES sample/tint2rc DESTINATION ${SYSCONFDIR}/xdg/tint2 )
install( FILES default_icon.png DESTINATION ${DATADIR}/tint2 )
install( FILES AUTHORS ChangeLog README DESTINATION ${DOCDIR} )
install( FILES doc/tint2.1 DESTINATION ${MANDIR}/man1 )
if( ENABLE_EXAMPLES )
  file( GLOB SAMPLEFILES sample/*.tint2rc )
  install( FILES ${SAMPLEFILES} DESTINATION ${DOCDIR}/examples )
endif( ENABLE_EXAMPLES )

=== debian/changelog ===
tint2 (0.11+svn20111022-3) unstable; urgency=low

  * Update debian/copyright to conform with Debian copyright format 1.0
  * Update Debian Standards Version to 3.9.3
  * Add dump of tint2's FAQ and Configure wiki page as offline
    documentation (Closes: #658226)

 -- Sebastian Reichel <sre@debian.org>  Wed, 07 Mar 2012 10:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
 Homepage: http://code.google.com/p/tint2/
@@ -35,9 +35,10 @@
 
 Package: tint2-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Depends: ${misc:Depends},
-         tint2
+         tint2 (= ${binary:Version})
 Description: lightweight taskbar (debug symbols)
  Tint is a simple panel/taskbar intentionally made for openbox3, but should
  also work with other window managers. The taskbar includes transparency and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_strip:
	dh_strip --dbg-package=tint2-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=tint2
	cp -r debian/wiki debian/tint2/usr/share/doc/html

## tint2 0.11+svn20121014

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 pkg_check_modules( GLIB2 REQUIRED glib-2.0 )
 pkg_check_modules( GOBJECT2 REQUIRED gobject-2.0 )
 pkg_check_modules( IMLIB2 REQUIRED imlib2>=1.4.2 )
+pkg_check_modules( SN libstartup-notification-1.0>=0.12 )
 find_library( RT_LIBRARY rt )
 
 if( NOT X11_FOUND OR NOT PANGOCAIRO_FOUND OR NOT PANGO_FOUND OR NOT CAIRO_FOUND OR NOT GLIB2_FOUND OR NOT GOBJECT2_FOUND OR NOT IMLIB2_FOUND )
@@ -38,7 +39,8 @@
                      ${CAIRO_INCLUDE_DIRS}
                      ${GLIB2_INCLUDE_DIRS}
                      ${GOBJECT2_INCLUDE_DIRS}
-                     ${IMLIB2_INCLUDE_DIRS} )
+                     ${IMLIB2_INCLUDE_DIRS}
+		     ${SN_INCLUDE_DIRS} )
 
 set( SOURCES src/config.c
              src/panel.c
@@ -61,6 +63,12 @@
 option( ENABLE_BATTERY "Enable battery status plugin" ON )
 option( ENABLE_TINT2CONF "Enable tint2conf build, a GTK+2 theme switcher for tint2" ON )
 option( ENABLE_EXAMPLES "Install additional tin2rc examples" OFF )
+option( ENABLE_SN "Startup notification support" ON )
+if( ENABLE_SN )
+  if( SN_FOUND )
+    add_definitions( -DHAVE_SN -DSN_API_NOT_YET_FROZEN )
+  endif( SN_FOUND )
+endif( ENABLE_SN)
 
 if( ENABLE_BATTERY )
   set( SOURCES ${SOURCES} src/battery/battery.c )
@@ -86,7 +94,8 @@
                   ${CAIRO_LIBRARY_DIRS}
                   ${GLIB2_LIBRARY_DIRS}
                   ${GOBJECT2_LIBRARY_DIRS}
-                  ${IMLIB2_LIBRARY_DIRS} )
+                  ${IMLIB2_LIBRARY_DIRS}
+		  ${SN_LIBRARY_DIRS} )
 add_executable(tint2 ${SOURCES})
 target_link_libraries( tint2 ${X11_LIBRARIES}
                              ${PANGOCAIRO_LIBRARIES}
@@ -94,7 +103,8 @@
                              ${CAIRO_LIBRARIES}
                              ${GLIB2_LIBRARIES}
                              ${GOBJECT2_LIBRARIES}
-                             ${IMLIB2_LIBRARIES} )
+                             ${IMLIB2_LIBRARIES}
+			     ${SN_LIBRARIES} )
 if( RT_LIBRARY )
   target_link_libraries( tint2 ${RT_LIBRARY} )
 endif( RT_LIBRARY )

=== src/tint2conf/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 set(SOURCES ../util/common.c
             main.c
             properties.c
+            properties_rw.c
             theme_view.c )
 link_directories( ${X11_T2C_LIBRARY_DIRS}
                   ${GLIB2_LIBRARY_DIRS}

=== debian/changelog ===
tint2 (0.11+svn20121014-1) unstable; urgency=low

  * New upstream checkout (Closes: #678918)
   - Fix for no task cycling if all windows are minimized
   - Fix for incorrect task cycling when windows visible on
     all desktops are present
   - Adding startup-notification support
   - Drag and drop support for launchers
   - Localize launcher tooltips
   - Launcher: add icon lookup in ~/.local and /usr/local
   - Disable mouse hover events when the launcher tooltip
     is disabled
  * Do not install tint2conf (Closes: #672840)
  * Add libstartup-notification dependency
  * Bump Debian Standards Version to 3.9.4
  * Bump compat level to 9

 -- Sebastian Reichel <sre@debian.org>  Thu, 25 Oct 2012 13:35:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Sebastian Reichel <sre@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 7.0.50),
+               debhelper (>= 9),
                libcairo2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
                libimlib2-dev,
                libpango1.0-dev,
+               libstartup-notification0-dev,
                libxcomposite-dev,
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
 Homepage: http://code.google.com/p/tint2/

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 
 override_dh_installdocs:
 	dh_installdocs --link-doc=tint2
-	cp -r debian/wiki debian/tint2/usr/share/doc/html
+	cp -r debian/wiki debian/tint2/usr/share/doc/tint2/html

=== debian/watch ===
version=3
opts="uversionmangle=s/_/~/; s/-/~/" \
http://googlecode.debian.net/p/tint2/tint2-(\d+\.\d+.*)\.tar\.(?:gz|bz2)

## tint2 0.12

=== debian/changelog ===
tint2 (0.12-1) unstable; urgency=medium

  * New upstream release (Closes: #793797)
   - Drop 04-freespace.patch (applied upstream)
   - Drop 05-task-align.patch (needs rework)

 -- Sebastian Reichel <sre@debian.org>  Wed, 29 Jul 2015 18:53:03 +0200

tint2 (0.11+svn20121014-3) unstable; urgency=low

  * Add some patches from upstream's bug tracker. Those are already
    used by the Debian based VSIDO distribution for some time.
   - 03-launcher_apps_dir.patch
     Add support for loading multiple launcher icons by specifing
     the directory for their *.desktop files.
   - 04-freespace.patch
     Add support for a separator panel element.
   - 05-task-align.patch, 06-sample-task-align.patch
     Add support for task alignment.

 -- Sebastian Reichel <sre@debian.org>  Thu, 05 Jun 2014 17:39:43 +0200

tint2 (0.11+svn20121014-2) unstable; urgency=low

  * Reintroduce tint2conf (Closes: #720200)
  * Add patch fixing argv evaluation (Closes: #716390)
  * Add patch fixing incorrect function declaration (Closes: #748171)
  * Bump Debian Standards Version to 3.9.5

 -- Sebastian Reichel <sre@debian.org>  Sun, 01 Jun 2014 17:13:06 +0200

## tint2 0.12.1

=== CMakeLists.txt ===
project( tint2 )
cmake_minimum_required( VERSION 2.6 )

option( ENABLE_BATTERY "Enable battery status plugin" ON )
option( ENABLE_TINT2CONF "Enable tint2conf build, a GTK+2 theme configurator for tint2" ON )
option( ENABLE_EXAMPLES "Install additional tin2rc examples" ON )
option( ENABLE_RSVG "Rsvg support (launcher only)" ON )
option( ENABLE_SN "Startup notification support" ON )
option( ENABLE_ASAN "Build tint2 with AddressSanitizer" OFF )

include( FindPkgConfig )
include( CheckLibraryExists )
pkg_check_modules( X11 REQUIRED x11 xcomposite xdamage xinerama xrender xrandr>=1.3 )
pkg_check_modules( PANGOCAIRO REQUIRED pangocairo )
pkg_check_modules( PANGO REQUIRED pango )
pkg_check_modules( CAIRO REQUIRED cairo )
pkg_check_modules( GLIB2 REQUIRED glib-2.0 )
pkg_check_modules( GOBJECT2 REQUIRED gobject-2.0 )
pkg_check_modules( IMLIB2 REQUIRED imlib2>=1.4.2 )
pkg_check_modules( RSVG librsvg-2.0>=2.14.0 )
pkg_check_modules( SN libstartup-notification-1.0>=0.12 )

find_library( RT_LIBRARY rt )

if( NOT X11_FOUND OR NOT PANGOCAIRO_FOUND OR NOT PANGO_FOUND OR NOT CAIRO_FOUND OR NOT GLIB2_FOUND OR NOT GOBJECT2_FOUND OR NOT IMLIB2_FOUND )
  message( FATAL_ERROR "Not all dependencies fulfilled. See https://gitlab.com/o9000/tint2/wikis/Install" )
endif( NOT X11_FOUND OR NOT PANGOCAIRO_FOUND OR NOT PANGO_FOUND OR NOT CAIRO_FOUND OR NOT GLIB2_FOUND OR NOT GOBJECT2_FOUND OR NOT IMLIB2_FOUND )

string( REPLACE ";" " " FLAGS_REPLACED "${IMLIB2_LDFLAGS}" )
set( CMAKE_REQUIRED_FLAGS "${FLAGS_REPLACED}" )
check_library_exists( "${IMLIB2_LIBRARIES}" "imlib_context_set_display" "${IMLIB2_LIBRARY_DIRS}" IMLIB_BUILD_WITH_X )
if( NOT IMLIB_BUILD_WITH_X )
  message( FATAL_ERROR "Imlib is not built with X support" )
endif( NOT IMLIB_BUILD_WITH_X )

add_definitions( -D_GNU_SOURCE )

include_directories( ${PROJECT_BINARY_DIR}
                     src
                     src/battery
                     src/clock
                     src/systray
                     src/taskbar
                     src/launcher
                     src/tooltip
                     src/util
                     src/freespace
                     ${X11_INCLUDE_DIRS}
                     ${PANGOCAIRO_INCLUDE_DIRS}
                     ${PANGO_INCLUDE_DIRS}
                     ${CAIRO_INCLUDE_DIRS}
                     ${GLIB2_INCLUDE_DIRS}
                     ${GOBJECT2_INCLUDE_DIRS}
                     ${IMLIB2_INCLUDE_DIRS}
                     ${RSVG_INCLUDE_DIRS}
                     ${SN_INCLUDE_DIRS} )

set( SOURCES src/config.c
             src/panel.c
             src/server.c
             src/tint.c
             src/clock/clock.c
             src/systray/systraybar.c
             src/launcher/launcher.c
             src/launcher/apps-common.c
             src/launcher/icon-theme-common.c
             src/launcher/xsettings-client.c
             src/launcher/xsettings-common.c
             src/taskbar/task.c
             src/taskbar/taskbar.c
             src/taskbar/taskbarname.c
             src/tooltip/tooltip.c
             src/freespace/freespace.c
             src/util/area.c
             src/util/common.c
             src/util/strnatcmp.c
             src/util/timer.c
             src/util/window.c )

if( ENABLE_BATTERY )
  set( SOURCES ${SOURCES} src/battery/battery.c )
  add_definitions( -DENABLE_BATTERY )
endif( ENABLE_BATTERY )

if( ENABLE_RSVG )
  if( RSVG_FOUND )
	add_definitions( -DHAVE_RSVG )
  else()
    message( FATAL_ERROR "SVG support enabled yet dependency not fulfilled: librsvg-2.0" )
  endif( RSVG_FOUND )
endif( ENABLE_RSVG )

if( ENABLE_SN )
  if( SN_FOUND )
    add_definitions( -DHAVE_SN -DSN_API_NOT_YET_FROZEN )
  else()
    message( FATAL_ERROR "Startup notification support enabled yet dependency not fulfilled: libstartup-notification-1.0" )
  endif( SN_FOUND )
endif( ENABLE_SN)

if( ENABLE_TINT2CONF )
  add_definitions( -DHAVE_VERSION_H )
  add_subdirectory( src/tint2conf )
  add_dependencies( tint2conf version )
endif( ENABLE_TINT2CONF )

if( ENABLE_ASAN )
  SET(ASAN_C_FLAGS " -O0 -g3 -gdwarf-2 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic ")
  SET(ASAN_L_FLAGS " -O0 -g3 -gdwarf-2 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic ")
else()
  SET(ASAN_C_FLAGS "")
  SET(ASAN_L_FLAGS "")
endif()

set( MANDIR share/man CACHE PATH "Directory for man pages" )
set( DATADIR share CACHE PATH "Directory for shared data" )
set( SYSCONFDIR /etc CACHE PATH "Directory for configuration files" )
set( DOCDIR share/doc/tint2 CACHE PATH "Directory for documentation files" )

add_custom_target( version ALL "${PROJECT_SOURCE_DIR}/get_version.sh" "\"${PROJECT_SOURCE_DIR}\"" )

link_directories( ${X11_LIBRARY_DIRS}
                  ${PANGOCAIRO_LIBRARY_DIRS}
                  ${PANGO_LIBRARY_DIRS}
                  ${CAIRO_LIBRARY_DIRS}
                  ${GLIB2_LIBRARY_DIRS}
                  ${GOBJECT2_LIBRARY_DIRS}
                  ${IMLIB2_LIBRARY_DIRS}
                  ${RSVG_LIBRARY_DIRS}
                  ${SN_LIBRARY_DIRS} )
add_executable(tint2 ${SOURCES})
target_link_libraries( tint2 ${X11_LIBRARIES}
                             ${PANGOCAIRO_LIBRARIES}
                             ${PANGO_LIBRARIES}
                             ${CAIRO_LIBRARIES}
                             ${GLIB2_LIBRARIES}
                             ${GOBJECT2_LIBRARIES}
                             ${IMLIB2_LIBRARIES}
                             ${RSVG_LIBRARIES}
                             ${SN_LIBRARIES} )
if( RT_LIBRARY )
  target_link_libraries( tint2 ${RT_LIBRARY} )
endif( RT_LIBRARY )

target_link_libraries( tint2 m )

add_dependencies( tint2 version )
set_target_properties( tint2 PROPERTIES COMPILE_FLAGS "-Wall -fno-strict-aliasing -pthread ${ASAN_C_FLAGS}" )
set_target_properties( tint2 PROPERTIES LINK_FLAGS "-pthread -fno-strict-aliasing ${ASAN_L_FLAGS}" )

install( TARGETS tint2 DESTINATION bin )
install( FILES tint2.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
install( FILES tint2.desktop DESTINATION ${DATADIR}/applications )
install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )
install( FILES sample/tint2rc DESTINATION ${SYSCONFDIR}/xdg/tint2 )
install( FILES default_icon.png DESTINATION ${DATADIR}/tint2 )
install( FILES AUTHORS ChangeLog README.md DESTINATION ${DOCDIR} )
install( FILES doc/tint2.1 DESTINATION ${MANDIR}/man1 )
if( ENABLE_EXAMPLES )
  file( GLOB SAMPLEFILES sample/*.tint2rc )
  install( FILES ${SAMPLEFILES} DESTINATION ${DATADIR}/tint2 )
endif( ENABLE_EXAMPLES )

=== src/tint2conf/CMakeLists.txt ===
project(tint2conf)
cmake_minimum_required(VERSION 2.6)

include( FindPkgConfig )
pkg_check_modules( X11_T2C REQUIRED x11 xcomposite xdamage xinerama xrender xrandr>=1.3 )
pkg_check_modules( GLIB2 REQUIRED glib-2.0 )
pkg_check_modules( GOBJECT2 REQUIRED gobject-2.0 )
pkg_check_modules( IMLIB2 REQUIRED imlib2 )
pkg_check_modules( GTHREAD2 REQUIRED gthread-2.0 )
pkg_check_modules( GTK2 REQUIRED gtk+-x11-2.0 )
pkg_check_modules( RSVG librsvg-2.0>=2.36.0 )

include_directories( ../util
                     ${X11_T2C_INCLUDE_DIRS}
                     ${GLIB2_INCLUDE_DIRS}
                     ${GOBJECT2_INCLUDE_DIRS}
                     ${IMLIB2_INCLUDE_DIRS}
                     ${GTHREAD2_INCLUDE_DIRS}
                     ${GTK2_INCLUDE_DIRS}
                     ${RSVG_INCLUDE_DIRS} )

set(SOURCES ../util/common.c
			../util/strnatcmp.c
			../config.c
            ../server.c
            ../launcher/apps-common.c
            ../launcher/icon-theme-common.c
            main.c
            properties.c
            properties_rw.c
            theme_view.c )

add_definitions( -DTINT2CONF )

option( ENABLE_RSVG "Rsvg support (launcher only)" ON )

if( ENABLE_RSVG )
  if( RSVG_FOUND )
    add_definitions( -DHAVE_RSVG )
  endif( RSVG_FOUND )
endif( ENABLE_RSVG )

link_directories( ${X11_T2C_LIBRARY_DIRS}
                  ${GLIB2_LIBRARY_DIRS}
                  ${GOBJECT2_LIBRARY_DIRS}
                  ${IMLIB2_LIBRARY_DIRS}
                  ${GTHREAD2_LIBRARY_DIRS}
                  ${GTK2_LIBRARY_DIRS}
                  ${RSVG_LIBRARY_DIRS} )
add_executable( tint2conf ${SOURCES} )
target_link_libraries( tint2conf ${X11_T2C_LIBRARIES}
                                 ${GLIB2_LIBRARIES}
                                 ${GOBJECT2_LIBRARIES}
                                 ${IMLIB2_LIBRARIES}
                                 ${GTHREAD2_LIBRARIES}
                                 ${GTK2_LIBRARIES}
                                 ${RSVG_LIBRARIES} )

if ( NOT DATADIR )
  set(DATADIR share)
endif( NOT DATADIR )

add_definitions( -DINSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\" )
add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${DATADIR}/locale\" )
add_definitions( -DGETTEXT_PACKAGE=\"tint2conf\" )
set_target_properties( tint2conf PROPERTIES COMPILE_FLAGS "-Wall -pthread" )
set_target_properties( tint2conf PROPERTIES LINK_FLAGS "-pthread" )

add_subdirectory(po)

install( TARGETS tint2conf DESTINATION bin )
install( FILES tint2conf.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
install( FILES tint2conf.desktop DESTINATION ${DATADIR}/applications )
install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )

=== debian/changelog ===
tint2 (0.12.1-2) unstable; urgency=medium

  * Import upstream patch fixing bug with blinking systray icon

 -- Sebastian Reichel <sre@debian.org>  Tue, 04 Aug 2015 01:16:08 +0200

tint2 (0.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Mon, 03 Aug 2015 17:03:13 +0200

## tint2 0.12.2

=== debian/changelog ===
tint2 (0.12.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches (applied upstream)

 -- Sebastian Reichel <sre@debian.org>  Fri, 11 Sep 2015 18:41:22 +0200

## tint2 0.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,9 @@
 option( ENABLE_RSVG "Rsvg support (launcher only)" ON )
 option( ENABLE_SN "Startup notification support" ON )
 option( ENABLE_ASAN "Build tint2 with AddressSanitizer" OFF )
+if( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
+  option( ENABLE_UEVENT "Kernel event handling support" ON )
+endif( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
 
 include( FindPkgConfig )
 include( CheckLibraryExists )
@@ -78,7 +81,20 @@
              src/util/window.c )
 
 if( ENABLE_BATTERY )
-  set( SOURCES ${SOURCES} src/battery/battery.c )
+  set( SOURCES ${SOURCES} src/battery/battery.c)
+
+  if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+    set( SOURCES ${SOURCES} src/battery/linux.c)
+  elseif(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
+    set( SOURCES ${SOURCES} src/battery/freebsd.c)
+  elseif(CMAKE_SYSTEM_NAME STREQUAL "OpenBSD")
+    set( SOURCES ${SOURCES} src/battery/openbsd.c)
+  elseif(CMAKE_SYSTEM_NAME STREQUAL "NetBSD")
+    set( SOURCES ${SOURCES} src/battery/openbsd.c)
+  else(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+    set( SOURCES ${SOURCES} src/battery/dummy.c)
+  endif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+
   add_definitions( -DENABLE_BATTERY )
 endif( ENABLE_BATTERY )
 
@@ -97,6 +113,11 @@
     message( FATAL_ERROR "Startup notification support enabled yet dependency not fulfilled: libstartup-notification-1.0" )
   endif( SN_FOUND )
 endif( ENABLE_SN)
+
+if( ENABLE_UEVENT )
+  add_definitions( -DENABLE_UEVENT )
+  set( SOURCES ${SOURCES} src/util/uevent.c)
+endif( ENABLE_UEVENT )
 
 if( ENABLE_TINT2CONF )
   add_definitions( -DHAVE_VERSION_H )
@@ -135,9 +156,13 @@
                              ${CAIRO_LIBRARIES}
                              ${GLIB2_LIBRARIES}
                              ${GOBJECT2_LIBRARIES}
-                             ${IMLIB2_LIBRARIES}
-                             ${RSVG_LIBRARIES}
-                             ${SN_LIBRARIES} )
+                             ${IMLIB2_LIBRARIES} )
+if( ENABLE_RSVG )
+  target_link_libraries( tint2 ${RSVG_LIBRARIES} )
+endif( ENABLE_RSVG )
+if( ENABLE_SN )
+  target_link_libraries( tint2 ${SN_LIBRARIES} )
+endif( ENABLE_SN )
 if( RT_LIBRARY )
   target_link_libraries( tint2 ${RT_LIBRARY} )
 endif( RT_LIBRARY )

=== debian/changelog ===
tint2 (0.12.3-1) unstable; urgency=low

  * New upstream release
  * Fix privacy-breach-generic in documentation

 -- Sebastian Reichel <sre@debian.org>  Thu, 26 Nov 2015 22:49:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
                libgtk2.0-dev,
                libimlib2-dev,
                libpango1.0-dev,
+               librsvg2-dev,
                libstartup-notification0-dev,
                libxcomposite-dev,
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
-Homepage: http://code.google.com/p/tint2/
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/tint2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tint2.git
+Homepage: https://gitlab.com/o9000/tint2/
 
 Package: tint2
 Architecture: any
